Bug 210782 - chinese/fcitx: Update to 4.2.9.1
Summary: chinese/fcitx: Update to 4.2.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2016-07-03 14:44 UTC by Iblis Lin
Modified: 2016-07-09 11:38 UTC (History)
2 users (show)

See Also:
lichray: maintainer-feedback+


Attachments
fcitx patch (2.70 KB, patch)
2016-07-03 14:44 UTC, Iblis Lin
lichray: maintainer-approval+
Details | Diff
fcitx patch v2 (3.05 KB, patch)
2016-07-09 11:26 UTC, Iblis Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2016-07-03 14:44:56 UTC
Created attachment 172064 [details]
fcitx patch
Comment 1 lichray 2016-07-07 03:22:15 UTC
I guess you created a approval request to yourself.
Comment 2 VK freebsd_triage 2016-07-09 00:24:57 UTC
Thanks, folks.
Comment 3 Kurt Jaeger freebsd_committer 2016-07-09 04:20:04 UTC
testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2016-07-09 06:49:32 UTC
Fails to configure ?

http://people.freebsd.org/~pi/logs/chinese__fcitx-cur-1468037958.txt

similar for 93a, 103, 10i.
Comment 5 Iblis Lin 2016-07-09 06:57:46 UTC
(In reply to Kurt Jaeger from comment #4)

(still running `testport` ...)

 	
I guess i mis-used the macro:
try to change this
```
GTK2_USE_GNOME=	gtk20
```
into
```
GTK2_USE= GNOME=gtk20
```
?
Comment 6 Iblis Lin 2016-07-09 11:26:06 UTC
Created attachment 172281 [details]
fcitx patch v2

- Fix macro mis-used

poudriere testbuild pass on 10.3-release.
(My 9.3-release testbuild is still running ...zzz
Comment 7 Kurt Jaeger freebsd_committer 2016-07-09 11:30:44 UTC
testbuilds with the syntax of USE fixed looks fine.
Comment 8 Kurt Jaeger freebsd_committer 2016-07-09 11:37:55 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2016-07-09 11:38:38 UTC
A commit references this bug:

Author: pi
Date: Sat Jul  9 11:37:37 UTC 2016
New revision: 418269
URL: https://svnweb.freebsd.org/changeset/ports/418269

Log:
  chinese/fcitx: 4.2.8.6 -> 4.2.9.1

  PR:		210782
  Submitted by:	Iblis Lin <iblis@hs.ntnu.edu.tw>
  Approved by:	lichray@gmail.com (maintainer)

Changes:
  head/chinese/fcitx/Makefile
  head/chinese/fcitx/distinfo
  head/chinese/fcitx/files/patch-CMakeLists.txt
  head/chinese/fcitx/files/patch-cmake__FcitxConfig.cmake
  head/chinese/fcitx/files/patch-cmake__FcitxMacro.cmake
  head/chinese/fcitx/files/patch-data__script__fcitx4-config.in
  head/chinese/fcitx/files/patch-tools__cli__CMakeLists.txt
  head/chinese/fcitx/files/patch-tools__gui__quickphrase-editor__CMakeLists.txt
  head/chinese/fcitx/files/patch-tools__gui__wrapper__CMakeLists.txt